apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '1606072'
  name: mtv-function-rhel8-8
  uid: d177a950-0ca9-4f2c-8476-7584795b162a
  creationTimestamp: '2024-12-17T11:38:57Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:running': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                  'f:serial': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:memory': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2024-12-17T11:38:57Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2024-12-17T11:38:57Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:created': {}
          'f:desiredGeneration': {}
          'f:observedGeneration': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2024-12-17T11:38:57Z'
  namespace: mtv-test
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: c4af3d53-5623-4592-aaa1-ab404f5b0b99
    plan: 1a85e161-94e2-4b99-be4a-adee221911d0
    vmID: vm-662
spec:
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-function-rhel8-8
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:9c:7a:46'
              masquerade: {}
              model: virtio
              name: net-0
        firmware:
          bootloader:
            bios: {}
          serial: 421c102f-9ca0-4b3b-7c39-e23d38e74463
        machine:
          type: q35
        memory:
          guest: 2Gi
        resources:
          requests:
            memory: 2Gi
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: mtv-quota-cust-vm-662-knf66
status:
  conditions:
    - lastProbeTime: '2024-12-17T11:38:57Z'
      lastTransitionTime: '2024-12-17T11:38:57Z'
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: '2024-12-17T11:38:57Z'
      message: 'failed to create virtual machine pod: pods "virt-launcher-mtv-function-rhel8-8-6h64l" is forbidden: failed quota: mem-cpu-limit: must specify limits.cpu for: compute; limits.memory for: compute'
      reason: FailedCreate
      status: 'False'
      type: Synchronized
  created: true
  desiredGeneration: 1
  observedGeneration: 1
  printableStatus: Starting
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [nfs-csi] [vol-0]'
